/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.profile;

import java.util.HashSet;
import java.util.Set;

import org.osgi.framework.Bundle;
import org.osgi.framework.BundleContext;
import org.osgi.service.component.ComponentContext;

/**
 * @author Shuyang Zhou
 */
public class BaseDSModulePortalProfile implements PortalProfile {

	@Override
	public void activate() {
		for (String componentName : _componentNames) {
			_componentContext.enableComponent(componentName);
		}
	}

	@Override
	public Set<String> getPortalProfileNames() {
		return _supportedPortalProfileNames;
	}

	protected void init(
		ComponentContext componentContext,
		Set<String> supportedPortalProfileNames, String... componentNames) {

		_componentContext = componentContext;

		_supportedPortalProfileNames = new HashSet<>(
			supportedPortalProfileNames);

		BundleContext bundleContext = componentContext.getBundleContext();

		Bundle bundle = bundleContext.getBundle();

		_supportedPortalProfileNames.add(bundle.getSymbolicName());

		_componentNames = componentNames;
	}

	private ComponentContext _componentContext;
	private String[] _componentNames;
	private Set<String> _supportedPortalProfileNames;

}